[arch-commits] Commit in nbsmtp/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 15 23:02:07 EDT 2009


    Date: Wednesday, April 15, 2009 @ 23:02:06
  Author: eric
Revision: 35714

Merged revisions 35710 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/nbsmtp/trunk

........
  r35710 | eric | 2009-04-15 22:37:54 -0400 (Wed, 15 Apr 2009) | 2 lines
  
  upgpkg: nbsmtp 1.00-2
      Added license, FHS man pages
........

Modified:
  nbsmtp/repos/extra-i686/	(properties)
  nbsmtp/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: nbsmtp/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /nbsmtp/trunk:1-9159
   + /nbsmtp/trunk:1-35713

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-16 02:44:35 UTC (rev 35713)
+++ extra-i686/PKGBUILD	2009-04-16 03:02:06 UTC (rev 35714)
@@ -1,21 +1,22 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
-#Contributed by Sarah Hay <sarahhay at mb.sympatico.ca>
+# Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=nbsmtp
 pkgver=1.00
-pkgrel=1
+pkgrel=2
 pkgdesc="No-Brainer SMTP client suitable to run in chroot jails, embeded systems, laptops, and workstations"
 arch=(i686 x86_64)
 url="http://nbsmtp.ferdyx.org/"
+license=('GPL')
 depends=('openssl')
 source=(http://www.it.uc3m.es/~ferdy/nbsmtp/$pkgname-$pkgver.tar.bz2 build.patch)
 md5sums=('0c6a200027a6f7f61f44b374261aa52f' '043236152fecb550d80ab3cd84711cd3')
 
 build() {
-	cd $startdir/src/$pkgname-$pkgver
-	patch -Np0 -i ../build.patch || return 1
-	./configure --prefix=/usr --enable-ssl
-	make || return 1
-	make prefix=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver
+  patch -Np0 -i ../build.patch || return 1
+  ./configure --prefix=/usr --enable-ssl || return 1
+  make || return 1
+  make prefix=$pkgdir/usr mandir=$pkgdir/usr/share/man install || return 1
 }



More information about the arch-commits mailing list